Name:           patchmatrix
Version:        0.26.0
Release:        1%{?dist}
Summary:        A Simple JACK Patch Bay

License:        Artistic 2.0
URL:            https://open-music-kontrollers.ch/lad/patchmatrix/
Source0:        https://git.open-music-kontrollers.ch/lad/%{name}/snapshot/%{name}-%{version}.tar.xz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)

%description
a JACK patchbay in flow matrix style

A simple graphical JACK patchbay that tries to unite the best of both worlds:

    Fast patching and uncluttered port representation of a matrix patchbay
    Excellent representation of signal flow of a flow canvas patchbay

It additionally features tightly embedded graphical mixer clients automatable with JACK MIDI/OSC.

%prep
%autosetup -Sgit


%build
%meson
%meson_build


%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING
%doc README.md
%{_bindir}/patchmatrix*
%{_mandir}/man1/patchmatrix*.1.gz
%{_datadir}/applications/patchmatrix.desktop
%{_datadir}/icons/hicolor/256x256/apps/patchmatrix.png
%{_datadir}/patchmatrix


%changelog
* Mon Aug 09 2021 Olivier Samyn <code@oleastre.be> - 0.26.0-1
- New upstream release

* Mon Jun 14 2021 Olivier Samyn <code@oleastre.be> - 0.24.0-1
- New upstream release

* Thu Feb 04 2021 Olivier Samyn 🎻 <code@oleastre.be>
- Initial package
